#!/bin/sh

if [ -z "$1" ]
then
    echo "Usage: $0 <memory>"
    exit 1
fi

if ! which gearman > /dev/null 2> /dev/null
then
    echo "gearman isn't installed on this machine. Please try another one."
    exit 1
fi

cat <<EOF | gearman -h gearmand-srv -p 4730 -f moulette_get
<?xml version="1.0" encoding="UTF-8"?>
<process>
  <param name="type">set_memory</param>
  <param name="to">$1</param>
</process>
EOF

echo
