#! /usr/bin/env perl

use v5.10.1;
use strict;
use warnings;

use lib "../../";

use ACU::API::Base;
use ACU::API::Projects;


if ($#ARGV == 0)
{
    API::Projects::add_grades($ARGV[0]);
}
elsif ($#ARGV == 1)
{
    API::Projects::add_grades($ARGV[0], $ARGV[1]);
}
else
{
    say "$0 <project_id> [project_year]";
}
